/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.demo.dao;

import so.demo.mysqldao.MySqlDAOFactory;

/**
 *
 * @author Felipe Escala
 */
public abstract class DAOFactory {

	public static final int MYSQL = 1;

	public static DAOFactory getDAOFactory(int Motor_Base) {
		switch (Motor_Base) {
			case MYSQL:
				return new MySqlDAOFactory();
			default:
				return null;
		}
	}

	public abstract UbigeoDAO getUbigeoDAO();
}
