/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package so.demo.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONObject;
import so.demo.services.UbigeoService;

/**
 *
 * @author Felipe Escala
 */
public class UbigeoServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        response.setContentType("text/html");
        String accion = request.getParameter("accion");
        switch (accion) {
            case "listarDepartamento":
                listarDepartamento(request, response);
                break;
            case "listarProvincia":
                listarProvincia(request, response);
                break;
            case "listarDistrito":
                listarDistrito(request, response);
                break;
						case "listarAlumnos":
							listarAlumnos(request,response);
							break;
            default:
        }
    }

    private void listarDepartamento(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("application/json");
        PrintWriter out = response.getWriter();
        UbigeoService srv = new UbigeoService();
        String jsonString = request.getParameter("json");

        JSONObject json = new JSONObject(jsonString);
        JSONObject rs = srv.listarDepartamento(json);
        out.println(rs);
    }

    private void listarProvincia(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("application/json");
        PrintWriter out = response.getWriter();
        UbigeoService service = new UbigeoService();
        String jsonString = request.getParameter("json");
        JSONObject json = new JSONObject(jsonString);
        JSONObject rs = service.listarProvincia(json);
        out.println(rs);
    }

    private void listarDistrito(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("application/json");
        PrintWriter out = response.getWriter();
        UbigeoService service = new UbigeoService();

        String json = request.getParameter("json");

        JSONObject obj = new JSONObject(json);

        JSONObject rs = service.listarDistrito(obj);
        out.println(rs);

    }

	private void listarAlumnos(HttpServletRequest request, HttpServletResponse response) throws IOException {
		  //RESPUESTA VA SER EN JSON
			response.setContentType("application/json");
			PrintWriter out=response.getWriter();
			UbigeoService service = new UbigeoService();
			String jsonString=request.getParameter("json");
			JSONObject json = new JSONObject(jsonString);
			json.put("draw", Integer.parseInt(request.getParameter("draw")));
			json.put("length", Integer.parseInt(request.getParameter("length")));
	  	json.put("start", Integer.parseInt(request.getParameter("start")));
			JSONObject recibeEnviaJson=service.listarAlumnos(json);
			out.print(recibeEnviaJson);
			
	}

}
